Bug 61289 - 5.6.1 update breaks other packages
5.6.1 update breaks other packages
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Chip Turner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-03-15 22:07 EST by Joe Acosta
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-15 22:07:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2002-03-15 22:07:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020310

Description of problem:
if certaion packages are not updated perl 5.6.1 will break these packages

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.upgrade perl 5.6.1
2. DONT upgrade mod_perl
3. restart apache
4. apache does not work


Actual Results:  if you have apache configured with mod_perl then mod_perl will
not work as it wil look for file in the old 5.6.0 directory not the 5.6.1.  
There should be some indication that if you are installing perl 5.6.1 and you
have mod_perl then it should warr a user.  If they do not have mod_perl then it
should install as normal. Else the message that I got about upgrading to perl
should have included that info. 

Additional info:

Workaround is just to upgrade mod_perl when upgrading to perl 5.6.1
Comment 1 Chip Turner 2002-04-10 20:19:06 EDT
There's not much choice; you have to upgrade mod_perl when you upgrade perl. 
They were errata'd together, so this should make sense.  Not much we can do from
a packaging perspective.

Note You need to log in before you can comment on or make changes to this bug.